//********************************************************************
// Author: W. Savitch (modified by L. Kosseim)
//
//  This program demonstrates how to format money amounts in Java 
//********************************************************************

import java.text.NumberFormat;  // we need to import this class
import java.util.Locale;        // and this one, if we change the default currency

public class CurrencyFormatDemo
{
    public static void main(String[] args)
    {
        // let's display amounts without any formatting...
        System.out.println("Without formatting:");

        System.out.println(19.8);
        System.out.println(19.81111);
        System.out.println(19.89999);
        System.out.println(19);
        System.out.println( );

        // let's display amount with formatting using the default currency...
        System.out.println("Default location:");
        NumberFormat moneyFormatter =
                          NumberFormat.getCurrencyInstance( );

        System.out.println(moneyFormatter.format(19.8));
        System.out.println(moneyFormatter.format(19.81111));
        System.out.println(moneyFormatter.format(19.89999));
        System.out.println(moneyFormatter.format(19));
        System.out.println( );

        // let's display amount with formatting using the US currency...
        System.out.println("US as location:");
        NumberFormat moneyFormatter2 =
                          NumberFormat.getCurrencyInstance(Locale.US);

        System.out.println(moneyFormatter2.format(19.8));
        System.out.println(moneyFormatter2.format(19.81111));
        System.out.println(moneyFormatter2.format(19.89999));
        System.out.println(moneyFormatter2.format(19));
    }

}


